### Method

# Gio TlsConnection set_interaction

since: 2.30

#### Declaration [src]

    void
    g_tls_connection_set_interaction (
      GTlsConnection* conn,
      GTlsInteraction* interaction
    )

#### Description [src]

Set the object that will be used to interact with the user. It will be used for things like prompting the user for passwords.

The `interaction` argument will normally be a derived subclass of `GTlsInteraction`. `NULL` can also be provided if no user interaction should occur for this connection.

Available since: 2.30

Sets property | `Gio.TlsConnection:interaction`

#### Parameters

`interaction`

  Type: `GTlsInteraction`

  An interaction object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.